aboutsummaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
Diffstat (limited to 't')
-rwxr-xr-xt/t9100-git-svn-basic.sh2
-rwxr-xr-xt/t9107-git-svn-migrate.sh14
2 files changed, 9 insertions, 7 deletions
diff --git a/t/t9100-git-svn-basic.sh b/t/t9100-git-svn-basic.sh
index 97798c4d0..5355243b9 100755
--- a/t/t9100-git-svn-basic.sh
+++ b/t/t9100-git-svn-basic.sh
@@ -211,8 +211,6 @@ tree d667270a1f7b109f5eb3aaea21ede14b56bfdd6e
tree 8f51f74cf0163afc9ad68a4b1537288c4558b5a4
EOF
-echo tree 4b825dc642cb6eb9a060e54bf8d69288fbee4904 >> expected
-
test_expect_success "$name" "diff -u a expected"
test_expect_failure 'exit if remote refs are ambigious' "
diff --git a/t/t9107-git-svn-migrate.sh b/t/t9107-git-svn-migrate.sh
index 74a45ec64..f6d84ba7a 100755
--- a/t/t9107-git-svn-migrate.sh
+++ b/t/t9107-git-svn-migrate.sh
@@ -5,13 +5,17 @@ test_description='git-svn metadata migrations from previous versions'
test_expect_success 'setup old-looking metadata' "
cp $GIT_DIR/config $GIT_DIR/config-old-git-svn &&
+ mkdir import &&
+ cd import
+ for i in trunk branches/a branches/b \
+ tags/0.1 tags/0.2 tags/0.3; do
+ mkdir -p \$i && \
+ echo hello >> \$i/README || exit 1
+ done && \
+ svn import -m test . $svnrepo
+ cd .. &&
git-svn init $svnrepo &&
git-svn fetch &&
- for i in trunk branches/a branches/b tags/0.1 tags/0.2 tags/0.3; do
- mkdir -p \$i && echo hello >> \$i/README || exit 1; done &&
- git ls-files -o trunk branches tags | git update-index --add --stdin &&
- git commit -m 'test' &&
- git-svn dcommit &&
mv $GIT_DIR/svn/* $GIT_DIR/ &&
rmdir $GIT_DIR/svn &&
git-update-ref refs/heads/git-svn-HEAD refs/remotes/git-svn &&